public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2015-12-20 19:40 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2015-12-20 19:40 UTC (permalink / raw
  To: gentoo-commits

commit:     d84814cef434291dd0a8ba2058d8be6b8a1a1670
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 20 19:34:56 2015 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Dec 20 19:34:56 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d84814ce

dev-ruby/ast: add 2.2.0

Package-Manager: portage-2.2.24

 dev-ruby/ast/Manifest         |  1 +
 dev-ruby/ast/ast-2.2.0.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-ruby/ast/Manifest b/dev-ruby/ast/Manifest
index f818923..ae8b9a9 100644
--- a/dev-ruby/ast/Manifest
+++ b/dev-ruby/ast/Manifest
@@ -1,2 +1,3 @@
 DIST ast-2.0.0.gem 14336 SHA256 e8912628cabb49357e69f741b707b5b92c1be8be596e236589c4c44e6d453cd2 SHA512 dee0296c4d1bcad6454930778cadf0395b25a87b4c24d15a74d190739344c66bce3f08451868278fc9cea1a420e8548698342264edeccda76b793afabc5ebf6b WHIRLPOOL 3a8ea7c502324261628711ebeb2391045938aa7e95e1d18e235365f58ab89f407162787a7299df3e0a2c112c6943d40e407b38509f993bd627a8d7216e041b6b
 DIST ast-2.1.0.gem 14848 SHA256 f3066fd52ad2aa5731d5321ea609190deade4f2be251a3891d1cecdc1df74b80 SHA512 b60fb87ba204456dbb09ed6d747322555e415f5849d67dfb75624c4de2158b65038db7e4762ac6faf6c2b6854b0af8069b13e0b9c33b50eeaf69d5963588403a WHIRLPOOL eea8653a94d54bd1eef6f081b3197f728593f6f05e8e6632d0f4a672b35e123dd7276d250142ec5a6e222800ca8926ac60bf112f35e44c97464fa0fb3250bfb0
+DIST ast-2.2.0.gem 14848 SHA256 8be669575d41b7b961a3e6ed370e550bed6083b3f8337ab6c8b506871c02ad92 SHA512 556b9d68787a05f33f6f7e518971dfc965d326fd1a2e0dd1d16d1360526c598fccb0117a09348da88f6243bb3295dbb6d91fa6bd2a27c19cd7b519105b826aea WHIRLPOOL da7ca57261786f8bdb6e87733649535bbacd6f0f82614a865019f518177f0e3877df72a9fdc7ffac07af35254b73553340e708d1a8d913039cfd0cbca847cddb

diff --git a/dev-ruby/ast/ast-2.2.0.ebuild b/dev-ruby/ast/ast-2.2.0.ebuild
new file mode 100644
index 0000000..3a9bdbc
--- /dev/null
+++ b/dev-ruby/ast/ast-2.2.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for working with abstract syntax trees"
+HOMEPAGE="https://github.com/whitequark/ast"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? (
+	dev-ruby/bacon )"
+
+all_ruby_prepare() {
+	sed -i -e "/[Bb]undler/d" Rakefile || die
+	sed -i -e "/git ls/d" ${PN}.gemspec || die
+	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
+}
+
+each_ruby_test() {
+	${RUBY} -S bacon -Itest -a || die
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2016-02-17 22:26 Manuel Rüger
  0 siblings, 0 replies; 18+ messages in thread
From: Manuel Rüger @ 2016-02-17 22:26 UTC (permalink / raw
  To: gentoo-commits

commit:     f444d6a3ebd27cabbdc8438470bcb9dbdfb74312
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 17 22:26:07 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Feb 17 22:26:07 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f444d6a3

dev-ruby/ast: Remove old

Package-Manager: portage-2.2.27

 dev-ruby/ast/Manifest         |  2 --
 dev-ruby/ast/ast-2.0.0.ebuild | 32 --------------------------------
 dev-ruby/ast/ast-2.1.0.ebuild | 32 --------------------------------
 3 files changed, 66 deletions(-)

diff --git a/dev-ruby/ast/Manifest b/dev-ruby/ast/Manifest
index ae8b9a9..6558193 100644
--- a/dev-ruby/ast/Manifest
+++ b/dev-ruby/ast/Manifest
@@ -1,3 +1 @@
-DIST ast-2.0.0.gem 14336 SHA256 e8912628cabb49357e69f741b707b5b92c1be8be596e236589c4c44e6d453cd2 SHA512 dee0296c4d1bcad6454930778cadf0395b25a87b4c24d15a74d190739344c66bce3f08451868278fc9cea1a420e8548698342264edeccda76b793afabc5ebf6b WHIRLPOOL 3a8ea7c502324261628711ebeb2391045938aa7e95e1d18e235365f58ab89f407162787a7299df3e0a2c112c6943d40e407b38509f993bd627a8d7216e041b6b
-DIST ast-2.1.0.gem 14848 SHA256 f3066fd52ad2aa5731d5321ea609190deade4f2be251a3891d1cecdc1df74b80 SHA512 b60fb87ba204456dbb09ed6d747322555e415f5849d67dfb75624c4de2158b65038db7e4762ac6faf6c2b6854b0af8069b13e0b9c33b50eeaf69d5963588403a WHIRLPOOL eea8653a94d54bd1eef6f081b3197f728593f6f05e8e6632d0f4a672b35e123dd7276d250142ec5a6e222800ca8926ac60bf112f35e44c97464fa0fb3250bfb0
 DIST ast-2.2.0.gem 14848 SHA256 8be669575d41b7b961a3e6ed370e550bed6083b3f8337ab6c8b506871c02ad92 SHA512 556b9d68787a05f33f6f7e518971dfc965d326fd1a2e0dd1d16d1360526c598fccb0117a09348da88f6243bb3295dbb6d91fa6bd2a27c19cd7b519105b826aea WHIRLPOOL da7ca57261786f8bdb6e87733649535bbacd6f0f82614a865019f518177f0e3877df72a9fdc7ffac07af35254b73553340e708d1a8d913039cfd0cbca847cddb

diff --git a/dev-ruby/ast/ast-2.0.0.ebuild b/dev-ruby/ast/ast-2.0.0.ebuild
deleted file mode 100644
index 4972ae2..0000000
--- a/dev-ruby/ast/ast-2.0.0.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-USE_RUBY="ruby19 ruby20 ruby21 ruby22"
-
-RUBY_FAKEGEM_RECIPE_DOC="yard"
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
-
-inherit ruby-fakegem
-
-DESCRIPTION="A library for working with abstract syntax trees"
-HOMEPAGE="https://github.com/whitequark/ast"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-ruby_add_bdepend "test? (
-	dev-ruby/bacon )"
-
-all_ruby_prepare() {
-	sed -i -e "/[Bb]undler/d" Rakefile || die
-	sed -i -e "/git ls/d" ${PN}.gemspec || die
-	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
-}
-
-each_ruby_test() {
-	${RUBY} -S bacon -Itest -a || die
-}

diff --git a/dev-ruby/ast/ast-2.1.0.ebuild b/dev-ruby/ast/ast-2.1.0.ebuild
deleted file mode 100644
index 4972ae2..0000000
--- a/dev-ruby/ast/ast-2.1.0.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-USE_RUBY="ruby19 ruby20 ruby21 ruby22"
-
-RUBY_FAKEGEM_RECIPE_DOC="yard"
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
-
-inherit ruby-fakegem
-
-DESCRIPTION="A library for working with abstract syntax trees"
-HOMEPAGE="https://github.com/whitequark/ast"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-ruby_add_bdepend "test? (
-	dev-ruby/bacon )"
-
-all_ruby_prepare() {
-	sed -i -e "/[Bb]undler/d" Rakefile || die
-	sed -i -e "/git ls/d" ${PN}.gemspec || die
-	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
-}
-
-each_ruby_test() {
-	${RUBY} -S bacon -Itest -a || die
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2016-03-30  5:29 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2016-03-30  5:29 UTC (permalink / raw
  To: gentoo-commits

commit:     7a5e5647153c5043d86abd6868aae495c39ed333
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 30 05:25:17 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Mar 30 05:29:20 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a5e5647

dev-ruby/ast: add ruby23

Package-Manager: portage-2.2.26

 dev-ruby/ast/ast-2.2.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-ruby/ast/ast-2.2.0.ebuild b/dev-ruby/ast/ast-2.2.0.ebuild
index 3a9bdbc..006ff76 100644
--- a/dev-ruby/ast/ast-2.2.0.ebuild
+++ b/dev-ruby/ast/ast-2.2.0.ebuild
@@ -3,7 +3,7 @@
 # $Id$
 
 EAPI=5
-USE_RUBY="ruby20 ruby21 ruby22"
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
 
 RUBY_FAKEGEM_RECIPE_DOC="yard"
 RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2016-06-08  3:47 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2016-06-08  3:47 UTC (permalink / raw
  To: gentoo-commits

commit:     98454c6a995b4a175c986dc7b126b1393d3e2288
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  8 03:35:20 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Jun  8 03:47:14 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98454c6a

dev-ruby/ast: add 2.3.0

Package-Manager: portage-2.2.28

 dev-ruby/ast/Manifest         |  1 +
 dev-ruby/ast/ast-2.3.0.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-ruby/ast/Manifest b/dev-ruby/ast/Manifest
index 6558193..ebb1a5f 100644
--- a/dev-ruby/ast/Manifest
+++ b/dev-ruby/ast/Manifest
@@ -1 +1,2 @@
 DIST ast-2.2.0.gem 14848 SHA256 8be669575d41b7b961a3e6ed370e550bed6083b3f8337ab6c8b506871c02ad92 SHA512 556b9d68787a05f33f6f7e518971dfc965d326fd1a2e0dd1d16d1360526c598fccb0117a09348da88f6243bb3295dbb6d91fa6bd2a27c19cd7b519105b826aea WHIRLPOOL da7ca57261786f8bdb6e87733649535bbacd6f0f82614a865019f518177f0e3877df72a9fdc7ffac07af35254b73553340e708d1a8d913039cfd0cbca847cddb
+DIST ast-2.3.0.gem 14848 SHA256 15d97cf7f3430351a8663f2c5fb7591fb29f700fa28576c46c53b992e912e85e SHA512 7b814517075a5f4607cab24e1c20747c7def1d818e6df95205eaad2152952a38cd551bff5f0d59979fd8c6cb7dfa6bc9830541257bb3a24927217fd84526d58f WHIRLPOOL 6e791b5e056294c76c3a6e9117cfbbd58a60994a42613a06edd8d747999a3ff65a0c15717dbfbd7c40d8728176d7dccc983bbf53cdbfc45d041a9e542b58aa15

diff --git a/dev-ruby/ast/ast-2.3.0.ebuild b/dev-ruby/ast/ast-2.3.0.ebuild
new file mode 100644
index 0000000..381f355
--- /dev/null
+++ b/dev-ruby/ast/ast-2.3.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for working with abstract syntax trees"
+HOMEPAGE="https://github.com/whitequark/ast"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? (
+	dev-ruby/bacon )"
+
+all_ruby_prepare() {
+	sed -i -e "/[Bb]undler/d" Rakefile || die
+	sed -i -e "/git ls/d" ${PN}.gemspec || die
+	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
+}
+
+each_ruby_test() {
+	${RUBY} -S bacon -Itest -a || die
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2017-02-08  6:02 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2017-02-08  6:02 UTC (permalink / raw
  To: gentoo-commits

commit:     8ba06567422d2e057d82d54fb51a276bf1beb86e
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  8 06:02:09 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Feb  8 06:02:09 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ba06567

dev-ruby/ast: add ruby24

Package-Manager: portage-2.3.3

 dev-ruby/ast/ast-2.3.0.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/dev-ruby/ast/ast-2.3.0.ebuild b/dev-ruby/ast/ast-2.3.0.ebuild
index 381f355..aeca2d7 100644
--- a/dev-ruby/ast/ast-2.3.0.ebuild
+++ b/dev-ruby/ast/ast-2.3.0.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
-USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
 
-RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
 RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
 
 inherit ruby-fakegem


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2018-01-26  6:28 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2018-01-26  6:28 UTC (permalink / raw
  To: gentoo-commits

commit:     5320e47b7607fe9e26a0e030f32f95f336150f33
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 26 06:28:09 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Jan 26 06:28:09 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5320e47b

dev-ruby/ast: add 2.4.0

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-ruby/ast/Manifest         |  1 +
 dev-ruby/ast/ast-2.4.0.ebuild | 31 +++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-ruby/ast/Manifest b/dev-ruby/ast/Manifest
index 07f2b4e904a..d8696b75629 100644
--- a/dev-ruby/ast/Manifest
+++ b/dev-ruby/ast/Manifest
@@ -1,2 +1,3 @@
 DIST ast-2.2.0.gem 14848 BLAKE2B c74733f6d72eeefb9576128e1e58f1f002352ba9d7c2a2474677b580a85783c5963ba7f681caa0e3fe08ab4c5fdf05d304898a478550ab437665eb520fc1f851 SHA512 556b9d68787a05f33f6f7e518971dfc965d326fd1a2e0dd1d16d1360526c598fccb0117a09348da88f6243bb3295dbb6d91fa6bd2a27c19cd7b519105b826aea
 DIST ast-2.3.0.gem 14848 BLAKE2B 141aa3fd01bfd9d7c1b82ff20cab9243322c70f69ee54026ec121c5491fdfca1c00eae293c631c67b0c12b0ba9aeadcf3756a9cbe2a05cfa7c89a8acda48d188 SHA512 7b814517075a5f4607cab24e1c20747c7def1d818e6df95205eaad2152952a38cd551bff5f0d59979fd8c6cb7dfa6bc9830541257bb3a24927217fd84526d58f
+DIST ast-2.4.0.gem 15360 BLAKE2B 1d68fa8137bf2a158e8b2e0f30d3d803791db7fcb397133681cd2ffb57badebe6f9afd792a7cf3907dc1fa3e3a617fbb0331c85c69e36a46ca49962f30be9979 SHA512 60a0b00103ed57c71907155ee7966127985021e51c1d829e2149c87066504e76fdb955f9717bb19b5627d5b8c44f0d6a165e208900ede2355a47970ee9664b72

diff --git a/dev-ruby/ast/ast-2.4.0.ebuild b/dev-ruby/ast/ast-2.4.0.ebuild
new file mode 100644
index 00000000000..3f3bb140d30
--- /dev/null
+++ b/dev-ruby/ast/ast-2.4.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for working with abstract syntax trees"
+HOMEPAGE="https://github.com/whitequark/ast"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? (
+	dev-ruby/bacon )"
+
+all_ruby_prepare() {
+	sed -i -e "/[Bb]undler/d" Rakefile || die
+	sed -i -e "/git ls/d" ${PN}.gemspec || die
+	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
+}
+
+each_ruby_test() {
+	${RUBY} -S bacon -Itest -a || die
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2018-03-21  6:41 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2018-03-21  6:41 UTC (permalink / raw
  To: gentoo-commits

commit:     af106c68dbf96f1a08b14df839c3441112804e8c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 21 06:38:45 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Mar 21 06:38:45 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af106c68

dev-ruby/ast: cleanup

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-ruby/ast/Manifest         |  1 -
 dev-ruby/ast/ast-2.2.0.ebuild | 31 -------------------------------
 2 files changed, 32 deletions(-)

diff --git a/dev-ruby/ast/Manifest b/dev-ruby/ast/Manifest
index d8696b75629..fa6914e0a09 100644
--- a/dev-ruby/ast/Manifest
+++ b/dev-ruby/ast/Manifest
@@ -1,3 +1,2 @@
-DIST ast-2.2.0.gem 14848 BLAKE2B c74733f6d72eeefb9576128e1e58f1f002352ba9d7c2a2474677b580a85783c5963ba7f681caa0e3fe08ab4c5fdf05d304898a478550ab437665eb520fc1f851 SHA512 556b9d68787a05f33f6f7e518971dfc965d326fd1a2e0dd1d16d1360526c598fccb0117a09348da88f6243bb3295dbb6d91fa6bd2a27c19cd7b519105b826aea
 DIST ast-2.3.0.gem 14848 BLAKE2B 141aa3fd01bfd9d7c1b82ff20cab9243322c70f69ee54026ec121c5491fdfca1c00eae293c631c67b0c12b0ba9aeadcf3756a9cbe2a05cfa7c89a8acda48d188 SHA512 7b814517075a5f4607cab24e1c20747c7def1d818e6df95205eaad2152952a38cd551bff5f0d59979fd8c6cb7dfa6bc9830541257bb3a24927217fd84526d58f
 DIST ast-2.4.0.gem 15360 BLAKE2B 1d68fa8137bf2a158e8b2e0f30d3d803791db7fcb397133681cd2ffb57badebe6f9afd792a7cf3907dc1fa3e3a617fbb0331c85c69e36a46ca49962f30be9979 SHA512 60a0b00103ed57c71907155ee7966127985021e51c1d829e2149c87066504e76fdb955f9717bb19b5627d5b8c44f0d6a165e208900ede2355a47970ee9664b72

diff --git a/dev-ruby/ast/ast-2.2.0.ebuild b/dev-ruby/ast/ast-2.2.0.ebuild
deleted file mode 100644
index 745563dd950..00000000000
--- a/dev-ruby/ast/ast-2.2.0.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-USE_RUBY="ruby20 ruby21 ruby22 ruby23"
-
-RUBY_FAKEGEM_RECIPE_DOC="yard"
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
-
-inherit ruby-fakegem
-
-DESCRIPTION="A library for working with abstract syntax trees"
-HOMEPAGE="https://github.com/whitequark/ast"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-ruby_add_bdepend "test? (
-	dev-ruby/bacon )"
-
-all_ruby_prepare() {
-	sed -i -e "/[Bb]undler/d" Rakefile || die
-	sed -i -e "/git ls/d" ${PN}.gemspec || die
-	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
-}
-
-each_ruby_test() {
-	${RUBY} -S bacon -Itest -a || die
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2018-12-19  6:22 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2018-12-19  6:22 UTC (permalink / raw
  To: gentoo-commits

commit:     95e0bb77ba5d7370d972f7400546238f2fd2bc3b
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 19 06:18:00 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Dec 19 06:18:00 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95e0bb77

dev-ruby/ast: cleanup

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-ruby/ast/Manifest         |  1 -
 dev-ruby/ast/ast-2.3.0.ebuild | 31 -------------------------------
 2 files changed, 32 deletions(-)

diff --git a/dev-ruby/ast/Manifest b/dev-ruby/ast/Manifest
index fa6914e0a09..ad9128a011f 100644
--- a/dev-ruby/ast/Manifest
+++ b/dev-ruby/ast/Manifest
@@ -1,2 +1 @@
-DIST ast-2.3.0.gem 14848 BLAKE2B 141aa3fd01bfd9d7c1b82ff20cab9243322c70f69ee54026ec121c5491fdfca1c00eae293c631c67b0c12b0ba9aeadcf3756a9cbe2a05cfa7c89a8acda48d188 SHA512 7b814517075a5f4607cab24e1c20747c7def1d818e6df95205eaad2152952a38cd551bff5f0d59979fd8c6cb7dfa6bc9830541257bb3a24927217fd84526d58f
 DIST ast-2.4.0.gem 15360 BLAKE2B 1d68fa8137bf2a158e8b2e0f30d3d803791db7fcb397133681cd2ffb57badebe6f9afd792a7cf3907dc1fa3e3a617fbb0331c85c69e36a46ca49962f30be9979 SHA512 60a0b00103ed57c71907155ee7966127985021e51c1d829e2149c87066504e76fdb955f9717bb19b5627d5b8c44f0d6a165e208900ede2355a47970ee9664b72

diff --git a/dev-ruby/ast/ast-2.3.0.ebuild b/dev-ruby/ast/ast-2.3.0.ebuild
deleted file mode 100644
index 699c8663703..00000000000
--- a/dev-ruby/ast/ast-2.3.0.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-USE_RUBY="ruby21 ruby22 ruby23 ruby24"
-
-RUBY_FAKEGEM_RECIPE_DOC="rdoc"
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
-
-inherit ruby-fakegem
-
-DESCRIPTION="A library for working with abstract syntax trees"
-HOMEPAGE="https://github.com/whitequark/ast"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-ruby_add_bdepend "test? (
-	dev-ruby/bacon )"
-
-all_ruby_prepare() {
-	sed -i -e "/[Bb]undler/d" Rakefile || die
-	sed -i -e "/git ls/d" ${PN}.gemspec || die
-	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
-}
-
-each_ruby_test() {
-	${RUBY} -S bacon -Itest -a || die
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2019-01-17  5:26 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2019-01-17  5:26 UTC (permalink / raw
  To: gentoo-commits

commit:     ab978cad6b609f42e0a451c11025bc6f35b32d69
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 17 05:23:58 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Jan 17 05:23:58 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab978cad

dev-ruby/ast: add ruby26

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-ruby/ast/ast-2.4.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-ruby/ast/ast-2.4.0.ebuild b/dev-ruby/ast/ast-2.4.0.ebuild
index 3f3bb140d30..e03024e0a09 100644
--- a/dev-ruby/ast/ast-2.4.0.ebuild
+++ b/dev-ruby/ast/ast-2.4.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
 
 RUBY_FAKEGEM_RECIPE_DOC="rdoc"
 RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2019-12-31  6:55 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2019-12-31  6:55 UTC (permalink / raw
  To: gentoo-commits

commit:     798751b300dc6f17ce6b3087e2632195c31d88fe
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 31 06:54:51 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Dec 31 06:54:51 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=798751b3

dev-ruby/ast: add ruby27

Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/ast/ast-2.4.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-ruby/ast/ast-2.4.0.ebuild b/dev-ruby/ast/ast-2.4.0.ebuild
index e03024e0a09..fa4f1f05941 100644
--- a/dev-ruby/ast/ast-2.4.0.ebuild
+++ b/dev-ruby/ast/ast-2.4.0.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
 
 RUBY_FAKEGEM_RECIPE_DOC="rdoc"
 RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2020-06-11  5:49 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2020-06-11  5:49 UTC (permalink / raw
  To: gentoo-commits

commit:     0190c4c4fdd593b8badbf74cd142950c52024b34
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 11 05:36:06 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Jun 11 05:36:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0190c4c4

dev-ruby/ast: add 2.4.1

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/ast/Manifest         |  1 +
 dev-ruby/ast/ast-2.4.1.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-ruby/ast/Manifest b/dev-ruby/ast/Manifest
index ad9128a011f..a718527c899 100644
--- a/dev-ruby/ast/Manifest
+++ b/dev-ruby/ast/Manifest
@@ -1 +1,2 @@
 DIST ast-2.4.0.gem 15360 BLAKE2B 1d68fa8137bf2a158e8b2e0f30d3d803791db7fcb397133681cd2ffb57badebe6f9afd792a7cf3907dc1fa3e3a617fbb0331c85c69e36a46ca49962f30be9979 SHA512 60a0b00103ed57c71907155ee7966127985021e51c1d829e2149c87066504e76fdb955f9717bb19b5627d5b8c44f0d6a165e208900ede2355a47970ee9664b72
+DIST ast-2.4.1.tar.gz 11046 BLAKE2B ef2bf6e9ac6af90c2cc8844d372fd97ddef3d85f846711f1348534a58e0824b92bc7533a36eb737ff436fe79ccedf2169bd01bd740bf7cbbba89f1062bfc9f0d SHA512 270cd84c034fb017e9bb7637443b51e9ba453e467d39093e1212521372ea9ec1c27c1a71f3cc99ff58b8ce6a762b5363e1238fd98efd3bc794449641e53b0bc2

diff --git a/dev-ruby/ast/ast-2.4.1.ebuild b/dev-ruby/ast/ast-2.4.1.ebuild
new file mode 100644
index 00000000000..77cd5eeb817
--- /dev/null
+++ b/dev-ruby/ast/ast-2.4.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="ast.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for working with abstract syntax trees"
+HOMEPAGE="https://github.com/whitequark/ast"
+SRC_URI="https://github.com/whitequark/ast/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? (
+	dev-ruby/bacon )"
+
+all_ruby_prepare() {
+	sed -i -e "/[Bb]undler/d" Rakefile || die
+	sed -i -e "/git ls/d" ${PN}.gemspec || die
+	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
+}
+
+each_ruby_test() {
+	${RUBY} -S bacon -Itest -a || die
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2021-01-24  6:58 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2021-01-24  6:58 UTC (permalink / raw
  To: gentoo-commits

commit:     e7d2ed17e2b45ba48b637a8b930cc6b91ffee3a9
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 24 06:52:55 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jan 24 06:52:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7d2ed17

dev-ruby/ast: add 2.4.2

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/ast/Manifest         |  1 +
 dev-ruby/ast/ast-2.4.2.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-ruby/ast/Manifest b/dev-ruby/ast/Manifest
index a718527c899..fee7dd721e8 100644
--- a/dev-ruby/ast/Manifest
+++ b/dev-ruby/ast/Manifest
@@ -1,2 +1,3 @@
 DIST ast-2.4.0.gem 15360 BLAKE2B 1d68fa8137bf2a158e8b2e0f30d3d803791db7fcb397133681cd2ffb57badebe6f9afd792a7cf3907dc1fa3e3a617fbb0331c85c69e36a46ca49962f30be9979 SHA512 60a0b00103ed57c71907155ee7966127985021e51c1d829e2149c87066504e76fdb955f9717bb19b5627d5b8c44f0d6a165e208900ede2355a47970ee9664b72
 DIST ast-2.4.1.tar.gz 11046 BLAKE2B ef2bf6e9ac6af90c2cc8844d372fd97ddef3d85f846711f1348534a58e0824b92bc7533a36eb737ff436fe79ccedf2169bd01bd740bf7cbbba89f1062bfc9f0d SHA512 270cd84c034fb017e9bb7637443b51e9ba453e467d39093e1212521372ea9ec1c27c1a71f3cc99ff58b8ce6a762b5363e1238fd98efd3bc794449641e53b0bc2
+DIST ast-2.4.2.tar.gz 11547 BLAKE2B 2745d0e7b3bea2a2a750aa36f634def78d354ea91a3b795adb84d955e95aa1302ed0a7a4e9df0961b02318b4a70ee7f3e7f509232977c4501cf4d54f8f91f8e9 SHA512 7499625d21b2edd67df4ee9248ccfaf46b77d1d161a8aa70e15f59d055abaf2b988de01c5a078bebcf0f1c0e40858cc51200327e6b6f0bea6cdbbb58c6e3f755

diff --git a/dev-ruby/ast/ast-2.4.2.ebuild b/dev-ruby/ast/ast-2.4.2.ebuild
new file mode 100644
index 00000000000..479d20450b7
--- /dev/null
+++ b/dev-ruby/ast/ast-2.4.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="ast.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for working with abstract syntax trees"
+HOMEPAGE="https://github.com/whitequark/ast"
+SRC_URI="https://github.com/whitequark/ast/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? (
+	dev-ruby/bacon )"
+
+all_ruby_prepare() {
+	sed -i -e "/[Bb]undler/d" Rakefile || die
+	sed -i -e "/git ls/d" ${PN}.gemspec || die
+	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
+}
+
+each_ruby_test() {
+	${RUBY} -S bacon -Itest -a || die
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2022-04-02  8:57 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2022-04-02  8:57 UTC (permalink / raw
  To: gentoo-commits

commit:     147eb9718e22df099dcd375959bd966aa5641f65
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  2 06:35:39 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Apr  2 08:57:44 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=147eb971

dev-ruby/ast: enable ruby31 and disable ruby25

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/ast/ast-2.4.2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-ruby/ast/ast-2.4.2.ebuild b/dev-ruby/ast/ast-2.4.2.ebuild
index 479d20450b76..f2c7ef3b0b8b 100644
--- a/dev-ruby/ast/ast-2.4.2.ebuild
+++ b/dev-ruby/ast/ast-2.4.2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
 
 RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
 


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2022-04-02  8:57 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2022-04-02  8:57 UTC (permalink / raw
  To: gentoo-commits

commit:     0c41d42dbfb225ad99f9550345db15efae408963
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  2 06:35:07 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Apr  2 08:57:44 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c41d42d

dev-ruby/ast: drop 2.4.0, 2.4.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/ast/Manifest         |  2 --
 dev-ruby/ast/ast-2.4.0.ebuild | 31 -------------------------------
 dev-ruby/ast/ast-2.4.1.ebuild | 33 ---------------------------------
 3 files changed, 66 deletions(-)

diff --git a/dev-ruby/ast/Manifest b/dev-ruby/ast/Manifest
index fee7dd721e86..5bc099efa228 100644
--- a/dev-ruby/ast/Manifest
+++ b/dev-ruby/ast/Manifest
@@ -1,3 +1 @@
-DIST ast-2.4.0.gem 15360 BLAKE2B 1d68fa8137bf2a158e8b2e0f30d3d803791db7fcb397133681cd2ffb57badebe6f9afd792a7cf3907dc1fa3e3a617fbb0331c85c69e36a46ca49962f30be9979 SHA512 60a0b00103ed57c71907155ee7966127985021e51c1d829e2149c87066504e76fdb955f9717bb19b5627d5b8c44f0d6a165e208900ede2355a47970ee9664b72
-DIST ast-2.4.1.tar.gz 11046 BLAKE2B ef2bf6e9ac6af90c2cc8844d372fd97ddef3d85f846711f1348534a58e0824b92bc7533a36eb737ff436fe79ccedf2169bd01bd740bf7cbbba89f1062bfc9f0d SHA512 270cd84c034fb017e9bb7637443b51e9ba453e467d39093e1212521372ea9ec1c27c1a71f3cc99ff58b8ce6a762b5363e1238fd98efd3bc794449641e53b0bc2
 DIST ast-2.4.2.tar.gz 11547 BLAKE2B 2745d0e7b3bea2a2a750aa36f634def78d354ea91a3b795adb84d955e95aa1302ed0a7a4e9df0961b02318b4a70ee7f3e7f509232977c4501cf4d54f8f91f8e9 SHA512 7499625d21b2edd67df4ee9248ccfaf46b77d1d161a8aa70e15f59d055abaf2b988de01c5a078bebcf0f1c0e40858cc51200327e6b6f0bea6cdbbb58c6e3f755

diff --git a/dev-ruby/ast/ast-2.4.0.ebuild b/dev-ruby/ast/ast-2.4.0.ebuild
deleted file mode 100644
index fa4f1f059410..000000000000
--- a/dev-ruby/ast/ast-2.4.0.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-USE_RUBY="ruby24 ruby25 ruby26 ruby27"
-
-RUBY_FAKEGEM_RECIPE_DOC="rdoc"
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
-
-inherit ruby-fakegem
-
-DESCRIPTION="A library for working with abstract syntax trees"
-HOMEPAGE="https://github.com/whitequark/ast"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-ruby_add_bdepend "test? (
-	dev-ruby/bacon )"
-
-all_ruby_prepare() {
-	sed -i -e "/[Bb]undler/d" Rakefile || die
-	sed -i -e "/git ls/d" ${PN}.gemspec || die
-	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
-}
-
-each_ruby_test() {
-	${RUBY} -S bacon -Itest -a || die
-}

diff --git a/dev-ruby/ast/ast-2.4.1.ebuild b/dev-ruby/ast/ast-2.4.1.ebuild
deleted file mode 100644
index 77cd5eeb8177..000000000000
--- a/dev-ruby/ast/ast-2.4.1.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-USE_RUBY="ruby24 ruby25 ruby26 ruby27"
-
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
-
-RUBY_FAKEGEM_GEMSPEC="ast.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="A library for working with abstract syntax trees"
-HOMEPAGE="https://github.com/whitequark/ast"
-SRC_URI="https://github.com/whitequark/ast/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-ruby_add_bdepend "test? (
-	dev-ruby/bacon )"
-
-all_ruby_prepare() {
-	sed -i -e "/[Bb]undler/d" Rakefile || die
-	sed -i -e "/git ls/d" ${PN}.gemspec || die
-	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
-}
-
-each_ruby_test() {
-	${RUBY} -S bacon -Itest -a || die
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2022-06-18  8:40 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2022-06-18  8:40 UTC (permalink / raw
  To: gentoo-commits

commit:     8025f7bde4bc6f0ab92791109d0ede5ebd386b34
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 18 08:25:02 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jun 18 08:40:48 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8025f7bd

dev-ruby/ast: keyword 2.4.2 for ~sparc

Based on https://github.com/gentoo/gentoo/pull/25906

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/ast/ast-2.4.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-ruby/ast/ast-2.4.2.ebuild b/dev-ruby/ast/ast-2.4.2.ebuild
index f2c7ef3b0b8b..22d090d9c703 100644
--- a/dev-ruby/ast/ast-2.4.2.ebuild
+++ b/dev-ruby/ast/ast-2.4.2.ebuild
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/whitequark/ast/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="MIT"
 SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~sparc"
 IUSE=""
 
 ruby_add_bdepend "test? (


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2023-03-14  6:33 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2023-03-14  6:33 UTC (permalink / raw
  To: gentoo-commits

commit:     94d8f691ace79cd845bc8246de6123d13bfdd5ed
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 14 06:06:12 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Mar 14 06:33:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94d8f691

dev-ruby/ast: update EAPI 7 -> 8, add ruby32

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/ast/ast-2.4.2-r1.ebuild | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-ruby/ast/ast-2.4.2-r1.ebuild b/dev-ruby/ast/ast-2.4.2-r1.ebuild
new file mode 100644
index 000000000000..232bf9075596
--- /dev/null
+++ b/dev-ruby/ast/ast-2.4.2-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="ast.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for working with abstract syntax trees"
+HOMEPAGE="https://github.com/whitequark/ast"
+SRC_URI="https://github.com/whitequark/ast/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~sparc"
+IUSE=""
+
+ruby_add_bdepend "test? (
+	dev-ruby/bacon )"
+
+all_ruby_prepare() {
+	sed -i -e "/[Bb]undler/d" Rakefile || die
+	sed -i -e "/git ls/d" ${PN}.gemspec || die
+	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
+}
+
+each_ruby_test() {
+	${RUBY} -S bacon -Itest -a || die
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2023-03-31  1:03 Sam James
  0 siblings, 0 replies; 18+ messages in thread
From: Sam James @ 2023-03-31  1:03 UTC (permalink / raw
  To: gentoo-commits

commit:     3e566a4407e542d59cf4e5267ce61f7d8bce459d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 31 00:26:34 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 31 00:54:27 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e566a44

dev-ruby/ast: drop 2.4.2

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ruby/ast/ast-2.4.2.ebuild | 33 ---------------------------------
 1 file changed, 33 deletions(-)

diff --git a/dev-ruby/ast/ast-2.4.2.ebuild b/dev-ruby/ast/ast-2.4.2.ebuild
deleted file mode 100644
index 22d090d9c703..000000000000
--- a/dev-ruby/ast/ast-2.4.2.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
-
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
-
-RUBY_FAKEGEM_GEMSPEC="ast.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="A library for working with abstract syntax trees"
-HOMEPAGE="https://github.com/whitequark/ast"
-SRC_URI="https://github.com/whitequark/ast/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~sparc"
-IUSE=""
-
-ruby_add_bdepend "test? (
-	dev-ruby/bacon )"
-
-all_ruby_prepare() {
-	sed -i -e "/[Bb]undler/d" Rakefile || die
-	sed -i -e "/git ls/d" ${PN}.gemspec || die
-	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
-}
-
-each_ruby_test() {
-	${RUBY} -S bacon -Itest -a || die
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
@ 2023-12-28  6:56 Hans de Graaff
  0 siblings, 0 replies; 18+ messages in thread
From: Hans de Graaff @ 2023-12-28  6:56 UTC (permalink / raw
  To: gentoo-commits

commit:     183b8b45e51d297d2191f0c1be980580388b6f26
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 28 06:26:12 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Dec 28 06:55:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=183b8b45

dev-ruby/ast: enable ruby33

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/ast/ast-2.4.2-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-ruby/ast/ast-2.4.2-r1.ebuild b/dev-ruby/ast/ast-2.4.2-r1.ebuild
index 232bf9075596..88e47615e931 100644
--- a/dev-ruby/ast/ast-2.4.2-r1.ebuild
+++ b/dev-ruby/ast/ast-2.4.2-r1.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
-USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
 
 RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
 


^ permalink raw reply related	[flat|nested] 18+ messages in thread

end of thread, other threads:[~2023-12-28  6:56 UTC | newest]

Thread overview: 18+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-01-24  6:58 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/ Hans de Graaff
  -- strict thread matches above, loose matches on Subject: below --
2023-12-28  6:56 Hans de Graaff
2023-03-31  1:03 Sam James
2023-03-14  6:33 Hans de Graaff
2022-06-18  8:40 Hans de Graaff
2022-04-02  8:57 Hans de Graaff
2022-04-02  8:57 Hans de Graaff
2020-06-11  5:49 Hans de Graaff
2019-12-31  6:55 Hans de Graaff
2019-01-17  5:26 Hans de Graaff
2018-12-19  6:22 Hans de Graaff
2018-03-21  6:41 Hans de Graaff
2018-01-26  6:28 Hans de Graaff
2017-02-08  6:02 Hans de Graaff
2016-06-08  3:47 Hans de Graaff
2016-03-30  5:29 Hans de Graaff
2016-02-17 22:26 Manuel Rüger
2015-12-20 19:40 Hans de Graaff

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox